6.0.0-git
2019-03-21

[#13057] Yearly overview: Tooltip with daily events
Summary Yearly overview: Tooltip with daily events
Queue Kronolith
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org, mrubinsk (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2014-03-18 (1829 days ago)
Due
Updated 2014-07-07 (1718 days ago)
Assigned 2014-06-17 (1738 days ago)
Resolved 2014-06-17 (1738 days ago)
Milestone
Patch No

History
2014-07-07 13:40:28 Git Commit Comment #17 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 8bda212d2b97005882708bde4eebab16f2bd5b5e
Author: Jan Schneider <jan@horde.org>
Date:   Mon Jul 7 14:44:35 2014 +0200

     Fix clicking minical dates like in bug #13057 (Bug #13327).

  kronolith/js/kronolith.js |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/8bda212d2b97005882708bde4eebab16f2bd5b5e
2014-07-07 13:31:39 Git Commit Comment #16 Reply to this comment
Changes have been made in Git (master):

commit b6d02222e4ce3afb3bb45d907d0161b6637ffd26
Author: Jan Schneider <jan@horde.org>
Date:   Mon Jul 7 14:44:35 2014 +0200

     Fix clicking minical dates like in bug #13057 (Bug #13327).

  kronolith/js/kronolith.js |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/b6d02222e4ce3afb3bb45d907d0161b6637ffd26
2014-06-17 15:13:52 Git Commit Comment #15 Reply to this comment
Changes have been made in Git (master):

commit 0b769725da4c10d13ca270764a029ab442c49ada
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Tue Jun 17 11:08:25 2014 -0400

     Need a case insensitive comparison.

     More for Bug: 13057

  kronolith/js/kronolith.js |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/0b769725da4c10d13ca270764a029ab442c49ada
2014-06-17 15:13:49 Git Commit Comment #14 Reply to this comment
Changes have been made in Git (master):

commit 4f1d4c656f3e275b0b6a19eeb7d4e378080d13f5
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Tue Jun 17 11:03:55 2014 -0400

     Bug: 13057 Fix clicking directly on <a> in yearly overview.

  kronolith/js/kronolith.js |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/4f1d4c656f3e275b0b6a19eeb7d4e378080d13f5
2014-06-17 15:10:11 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Resolved
 
2014-06-17 15:09:20 Git Commit Comment #13 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 96ff7dba0b29a6591f3289d8ce2049c19c890258
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Tue Jun 17 11:08:25 2014 -0400

     Need a case insensitive comparison.

     More for Bug: 13057

  kronolith/js/kronolith.js |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/96ff7dba0b29a6591f3289d8ce2049c19c890258
2014-06-17 15:04:29 Git Commit Comment #12 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 523f9ca34aaa79ee33867adf7299e05bff9bf054
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Tue Jun 17 11:03:55 2014 -0400

     Bug: 13057 Fix clicking directly on <a> in yearly overview.

  kronolith/js/kronolith.js |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/523f9ca34aaa79ee33867adf7299e05bff9bf054
2014-06-17 14:53:44 Thomas Jarosch Comment #11
State ⇒ Assigned
Reply to this comment
Re-opened as MJR reproduced the issue independently.

"I have to click on the whitespace surrounding the number in order for 
it to be captured"

2014-06-13 11:28:31 Thomas Jarosch Comment #10 Reply to this comment
Hi Jan,
Changes have been made in Git (FRAMEWORK_5_2):

commit 793fae196bf92e3943c76ec949d46ea9ab5d991d
Author: Jan Schneider <jan@horde.org>
Date:   Wed Jun 11 18:19:46 2014 +0200

     Fix hover style in year view (Bug #13057).
Hmm. I tested that change yesterday and I still had to click outside 
of the <a> tag.

[Of course I cleared the CSS cache and browser cache and also checked 
the page sourc
  in the browser that the new "!important" tag is there]

2014-06-13 10:46:02 Jan Schneider State ⇒ Resolved
 
2014-06-11 17:04:17 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 793fae196bf92e3943c76ec949d46ea9ab5d991d
Author: Jan Schneider <jan@horde.org>
Date:   Wed Jun 11 18:19:46 2014 +0200

     Fix hover style in year view (Bug #13057).

  kronolith/themes/default/screen.css |    6 ++++--
  1 files changed, 4 insertions(+), 2 deletions(-)

http://github.com/horde/horde/commit/793fae196bf92e3943c76ec949d46ea9ab5d991d
2014-06-11 16:20:01 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit f738b583f934f113fb806918b2a30b8a600dc3a1
Author: Jan Schneider <jan@horde.org>
Date:   Wed Jun 11 18:19:46 2014 +0200

     Fix hover style in year view (Bug #13057).

  kronolith/themes/default/screen.css |    6 ++++--
  1 files changed, 4 insertions(+), 2 deletions(-)

http://github.com/horde/horde/commit/f738b583f934f113fb806918b2a30b8a600dc3a1
2014-05-15 11:48:53 Thomas Jarosch Comment #7 Reply to this comment
Re-opened to keep track of the needed CSS tweaks.

Right now the link to the day view is hardly clickable.
(as Jan mentioned: You have to hit the upper right corner of the box)
Is this going to be fixed before kronolith 4.2.0 is considered "final"?

2014-04-02 09:31:52 Thomas Jarosch Comment #6
State ⇒ Assigned
Reply to this comment
Re-opened to keep track of the needed CSS tweaks.

Right now the link to the day view is hardly clickable.
(as Jan mentioned: You have to hit the upper right corner of the box)

2014-03-25 09:34:25 Thomas Jarosch Comment #5 Reply to this comment
     Still needs some CSS tweaking for the current day highlighting.
how about re-opening this ticket so the need for additional CSS tweaks 
doesn't get lost?

2014-03-18 22:00:53 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2014-03-18 22:00:39 Jan Schneider Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
 
2014-03-18 21:58:23 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 9870f4877f933b1ffb6eab87d85de1e4d6ef0271
Author: Jan Schneider <jan@horde.org>
Date:   Tue Mar 18 22:53:15 2014 +0100

     Fix display of event tooltips in year view (Bug #13057).

     Still needs some CSS tweaking for the current day highlighting.

  kronolith/js/kronolith.js                   |   12 +++++++-----
  kronolith/themes/default/dynamic/screen.css |   14 +++++++-------
  kronolith/themes/default/screen.css         |    6 ++++--
  3 files changed, 18 insertions(+), 14 deletions(-)

http://git.horde.org/horde-git/-/commit/9870f4877f933b1ffb6eab87d85de1e4d6ef0271
2014-03-18 09:41:01 Thomas Jarosch Comment #3 Reply to this comment
I could have sworn that worked one day.
ah, it only seems to work in the "classic" view.

Wild guess: It's just not implemented for the dynamic view.

Once we fix this, I'll add a visual unit test for this since this is something
nobody ever tests during normal release tests.

2014-03-18 09:20:59 Jan Schneider Comment #2 Reply to this comment
I could have sworn that worked one day.
2014-03-18 08:18:45 Thomas Jarosch Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Yearly overview: Tooltip with daily events
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

I was just asked something interesting for the yearly overview of kronolith:
The user wants to hover with the mouse cursor over a day and get a 
tooltip with the daily events of that day.

Would that be a nice addition?

Cheers,
Thomas

Saved Queries